std::unordered_multiset::find(3)

NAME
std::unordered_multiset::find - std::unordered_multiset::find

Synopsis
   iterator find( const Key& key ); (1) (since C++11)
   const_iterator find( const Key& key ) const; (2) (since C++11)
   template< class K > (3) (since C++20)
   iterator find( const K& x );
   template< class K > (4) (since C++20)
   const_iterator find( const K& x ) const;
   1,2) Finds an element with key equivalent to key. If there are several elements with
   the requested key in the container, any of them may be returned.
   3,4) Finds an element with key that compares equivalent to the value x. This
   overload participates in overload resolution only if Hash::is_transparent and
   KeyEqual::is_transparent are valid and each denotes a type. This assumes that such
   Hash is callable with both K and Key type, and that the KeyEqual is transparent,
   which, together, allows calling this function without constructing an instance of
   Key.

Parameters
   key - key value of the element to search for
   x - a value of any type that can be transparently compared with a key

Return value
   An iterator to the requested element. If no such element is found, past-the-end (see
   end()) iterator is returned.

Complexity
   Constant on average, worst case linear in the size of the container.

Notes
           Feature-test macro Value Std Feature
                        Heterogeneous comparison lookup
   __cpp_lib_generic_unordered_lookup 201811L (C++20) in unordered associative
                        containers; overloads (3,4)

Example
// Run this code
 #include <iostream>
 #include <unordered_set>
 int main()
 {
     // Simple comparison demo.
     std::unordered_multiset<int> example = {1, 2, 3, 4};
     if (auto search = example.find(2); search != example.end())
         std::cout << "Found " << (*search) << '\n';
     else
         std::cout << "Not found\n";
 }

Output:
 Found 2

See also
   count returns the number of elements matching specific key
               (public member function)
   equal_range returns range of elements matching a specific key
               (public member function)